Subject: [Geopriv] [geopriv] rfc3825bis #40 (new): GEN-Art Review

From: "geopriv issue tracker" <[email-masked]>
Date: Sun, 28 Nov 2010 00:30:26 -0000

#40: GEN-Art Review

 Document: draft-ietf-geopriv-rfc3825bis-12
     Dynamic Host Configuration Protocol Options for
     Coordinate-based Location Configuration Information
 Reviewer: Joel M. Halpern
 Review Date: 16-Oct-2010
 IETF LC End Date: 2010-10-25
 IESG Telechat date: N/A

 Summary: This document is ready for publication as a Proposed Standard

 Major issues:

 Minor issues:
      I wonder if the recommendation at the end of section 2.2.1.2
 on Server Version Selection should be strengthened (and the v4 usage
 weakened) a little.  The text current says that when there are known
 to be some v0-only DHCP v4 clients, the v0 should be sent.  It seems to
 me that unless it is known that all clients that use geolocation will
 support
 v1, then v0 should be sent.  I do understand that this version problem
 is difficult to resolve.

 Nits/editorial comments:

-- 
---------------------------------------+------------------------------------
 Reporter:  bernard_aboba@…            |       Owner:  bernard_aboba@…           
     Type:  defect                     |      Status:  new                       
 Priority:  minor                      |   Milestone:  draft-ietf-geopriv-3825bis
Component:  rfc3825bis                 |     Version:  1.0                       
 Severity:  Submitted WG Document      |    Keywords:                            
---------------------------------------+------------------------------------

Ticket URL: <https://trac.tools.ietf.org/wg/geopriv/trac/ticket/40>
geopriv <http://tools.ietf.org/geopriv/>

---

From: "geopriv issue tracker" <[email-masked]>
Date: Sun, 28 Nov 2010 00:45:33 -0000

#40: GEN-Art Review

Changes (by bernard_aboba@…):

  * status:  new => closed
  * resolution:  => fixed

Comment:

 Recommended resolution:

 Change Section 2.2.1.2 to the following:

 2.2.1.2.  Server Version Selection

    DHCPv6 servers implementing this specification MUST send
    version 1 responses.  A DHCPv4 server implementing this specification
    MUST support sending version 1 responses and SHOULD support sending
    version 0 responses.  A DHCPv4 server that provides location
    information cannot provide options with both version 0 and version 1
    formats in the same response.  This is not useful since receiving two
    copies of the same Option (either in the same response or a separate
    response) causes a DHCPv4 client to replace the information in the
    old Option with the information in the new Option.

    A DHCPv4 server uses configuration to determine which version to send
    in a response.  For example, where a mixture of version 0 and version
    1 clients are expected, the DHCPv4 server could be configured to send
    version 0 or version 1 depending on configuration (possibly making
    the choice based on information such as the client MAC address).
    Where few version 0 clients are expected, the DHCPv4 server could be
    configured to send only version 1 responses.  Version 0 options will
    provide resolution, while version 1 options will provide an area of
    uncertainty.

    An RFC 3825 DHCPv4 client that receives a version 1 option
    defined in this document will either reject the Option, or will not
    understand the additions to the Datum field and will misinterpret the
    LongUnc, LatUnc, and AltUnc values.  If the RFC 3825 DHCPv4 client
    does not reject the option and utilizes the location data it will
    most likely assume a datum.  Assuming one of the RFC 3825 datums
    causes correct interpretation of Latitude/Longitude/Altitude values.
    The values for LongUnc/LatUnc/AltUnc are mistakenly interpreted as
    representing significant digits.  The resultant location value will
    be in error up to a full degree of latitude and longitude, and a full
    increment of altitude.

    This results in a version 0-only DHCPv4 client either not obtaining
    location information (with no ability to indicate to the server that
    version 1 was unsupported), or misinterpreting the option.
    Therefore, if it is not known whether all DHCPv4 clients support
 version 1,
    and it is not possible for the DHCPv4 server to distinguish between
 version 0
    and version 1 DHCPv4 clients by some means, by default the DHCPv4
 server
    SHOULD send a version 0 response.

-- 
---------------------------------------+------------------------------------
 Reporter:  bernard_aboba@…            |        Owner:  bernard_aboba@…           
     Type:  defect                     |       Status:  closed                    
 Priority:  minor                      |    Milestone:  draft-ietf-geopriv-3825bis
Component:  rfc3825bis                 |      Version:  1.0                       
 Severity:  Submitted WG Document      |   Resolution:  fixed                     
 Keywords:                             |  
---------------------------------------+------------------------------------

Ticket URL: <https://trac.tools.ietf.org/wg/geopriv/trac/ticket/40#comment:1>
geopriv <http://tools.ietf.org/geopriv/>